%define name invulgo-tracker
%define oname invulgotracker
%define version 1.05
%define release %mkrel 1

Summary: InvulgoTracker - Time tracker for your tasks & projects
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://www.invulgo.dk/
Group:	 Office
License: GPLv3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://www.invulgo.dk/%{oname}-%{version}.tar.xz
BuildRequires:	gtk2-devel
BuildRequires:  GConf2-devel
BuildRequires:  libgvfs-devel
BuildRequires:  intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:  libglade2.0_0-devel
BuildRequires:  libxml2-devel
BuildRequires:	desktop-file-utils
Provides: %{name}-%{version}
Obsoletes: invulgotracker


%description
Simple application to track time usage on your tasks & projects.
Create and maintain a task-tree and keep track of how much time 
you spend on individual tasks. Quick month/day summary shown.

%prep
%setup -q -n %{oname}-%{version}


%build
autoreconf -fi
%configure2_5x 

%install
%makeinstall_std
desktop-file-install --vendor="" \
            --remove-category="Application" \
            --add-category="X-MandrivaLinux-Office-TimeManagement" \
            --dir %buildroot%_datadir/applications %buildroot%_datadir/applications/InvulgoTracker.desktop

#remove
rm -rf %buildroot/%_datadir/doc/%{oname}

%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/%{oname}
%{_datadir}/%{oname}/glade/*.glade
%{_datadir}/icons/InvulgoTracker.png
%{_datadir}/applications/InvulgoTracker.desktop

%changelog
* Mon Jul 12 2010 slick50 <lxgator@gmail.com> 1.05-1pclos2010
- 1.05

* Thu Apr 08 2010 slick50 <lxgator@gmail.com> 1.01-1pclos2010
- 1.01
- bug fix

* Sun Mar 21 2010 slick50 <lxgator@gmail.com> 1.00-1pclos2010
- 1.00

* Sun Mar 14 2010 slick50 <lxgator@gmail.com> 0.80-1pclos2010
- 0.80

* Thu Oct 08 2009 slick50 <lxgator@gmail.com> 0.53-1pclos2010
- 0.53

* Sun Sep 20 2009 slick50 <lxgator@gmail.com> 0.52.1-1pclos2009
- 0.52.1

* Mon Sep 07 2009 slick50 <lxgator@gmail.com> 0.51-1pclos2009
- 0.51

* Sun Aug 16 2009 slick50 <lxgator@gmail.com> 0.351-1pclos2009
- 0.351

* Thu Aug 13 2009 slick50 <lxgator@gmail.com> 0.35-1pclos2009
- 0.35

* Fri Aug 07 2009 slick50 <lxgator@gmail.com> 0.31-1pclos2009
- initial package
